| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::DMetadataSettings Class Reference
Inheritance diagram for Digikam::DMetadataSettings:

## Signals
void | signalDMetadataSettingsChanged (const DMetadataSettingsContainer &current, const DMetadataSettingsContainer &previous)
void | signalSettingsChanged ()

## Public Member Functions
void | setSettings (const DMetadataSettingsContainer &settings)
| Sets the current Metadata settings and writes them to config.
DMetadataSettingsContainer | settings () const
| Returns the current Metadata settings.

## Static Public Member Functions
static DMetadataSettings * | instance ()
| Global container for Metadata settings.

## Member Function Documentation

## ◆ instance()

DMetadataSettings * Digikam::DMetadataSettings::instance | ( |  | ) |
| static

All accessor methods are thread-safe.